## perl4caml 0.3.7

=== Makefile ===
# Interface to Perl from OCaml.
# Copyright (C) 2003 Merjis Ltd.
# $Id: Makefile,v 1.19 2003/11/19 16:28:22 rich Exp $

include Makefile.config

OCAMLC := ocamlc
OCAMLOPT := ocamlopt
OCAMLMKLIB := ocamlmklib
OCAMLDEP := ocamldep
OCAMLDOC := ocamldoc

OCAMLCINCS := -I wrappers
OCAMLOPTINCS := $(OCAMLCINCS)

OCAMLCFLAGS := -w s -g $(OCAMLCINCS)
OCAMLOPTFLAGS := -w s $(OCAMLOPTINCS)

CC := gcc
CFLAGS := -Wall -Wno-unused -I$(PERLINCDIR) $(EXTRA_CFLAGS)

LIBPERL := $(shell perl -MExtUtils::Embed -e ldopts)

SED := sed

# XXX Hack required by ocamlopt, and sometimes ocamlc.
# To work out what this should be, try:
# `perl -MExtUtils::Embed -e ldopts'
DYNALOADER_HACK := /usr/lib/perl/5.8.2/auto/DynaLoader/DynaLoader.a

OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)

WRAPPERS := \
	wrappers/pl_Date_Calc.cmo \
	wrappers/pl_Date_Format.cmo \
	wrappers/pl_Date_Parse.cmo \
	wrappers/pl_Net_Google_Cache.cmo \
	wrappers/pl_Net_Google_Response.cmo \
	wrappers/pl_Net_Google_Search.cmo \
	wrappers/pl_Net_Google_Spelling.cmo \
	wrappers/pl_Net_Google.cmo \
	wrappers/pl_HTML_Element.cmo \
	wrappers/pl_HTML_Parser.cmo \
	wrappers/pl_HTML_TreeBuilder.cmo \
	wrappers/pl_URI.cmo \
	wrappers/pl_HTTP_Message.cmo \
	wrappers/pl_HTTP_Request.cmo \
	wrappers/pl_HTTP_Response.cmo \
	wrappers/pl_LWP_UserAgent.cmo

all:	perl4caml.cma perl4caml.cmxa META all-examples html

perl4caml.cma: perl.cmo perl_c.o $(WRAPPERS)
	$(OCAMLMKLIB) -o perl4caml $(LIBPERL) $^

perl4caml.cmxa: perl.cmx perl_c.o $(WRAPPERS:.cmo=.cmx)
	$(OCAMLMKLIB) -o perl4caml $(LIBPERL) $^

all-examples: examples/test examples/loadpage examples/google \
	examples/test.opt examples/loadpage.opt examples/google.opt \
	examples/parsedate examples/parsedate.opt

examples/test: examples/test.cmo
	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@

examples/test.opt: examples/test.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
	$(DYNALOADER_HACK) $^ -o $@

examples/loadpage: examples/loadpage.cmo
	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@

examples/loadpage.opt: examples/loadpage.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
	$(DYNALOADER_HACK) $^ -o $@

examples/google: examples/google.cmo
	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@

examples/google.opt: examples/google.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
	$(DYNALOADER_HACK) $^ -o $@

examples/parsedate: examples/parsedate.cmo
	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@

examples/parsedate.opt: examples/parsedate.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
	$(DYNALOADER_HACK) $^ -o $@

%.cmi: %.mli
	$(OCAMLC) $(OCAMLCFLAGS) -c $<

%.cmo: %.ml
	$(OCAMLC) $(OCAMLCFLAGS) -c $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<

.SUFFIXES: .mli .ml .cmi .cmo .cmx

META:	META.in Makefile.config
	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
		-e 's/@VERSION@/$(VERSION)/' \
		< $< > $@

# Clean.

JUNKFILES = core *~ *.bak *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so *.opt

clean:
	rm -f META examples/test examples/loadpage examples/google \
	examples/parsedate
	for d in . examples wrappers; do (cd $$d; rm -f $(JUNKFILES)); done

# Build dependencies.

ifeq ($(wildcard .depend),.depend)
include .depend
endif

depend:	.depend

.depend: $(wildcard *.ml) $(wildcard *.mli) $(wildcard examples/*.ml) \
	$(wildcard wrappers/*.ml)
	$(OCAMLDEP) $(OCAMLCINCS) *.mli *.ml examples/*.ml wrappers/*.ml \
	> .depend

# Install.

install:
	rm -rf $(DESTDIR)$(OCAMLLIBDIR)/perl
	install -c -m 0755 -d $(DESTDIR)$(OCAMLLIBDIR)/perl
	install -c -m 0755 -d $(DESTDIR)$(OCAMLLIBDIR)/stublibs
	install -c -m 0644 perl.cmi perl.mli perl4caml.cma perl4caml.cmxa \
	  perl4caml.a libperl4caml.a META \
	  $(WRAPPERS:.cmo=.ml) $(WRAPPERS:.cmo=.cmi) \
	  $(DESTDIR)$(OCAMLLIBDIR)/perl
	install -c -m 0644 dllperl4caml.so $(DESTDIR)$(OCAMLLIBDIR)/stublibs

# Distribution.

dist:
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	tar -cf - -T MANIFEST | tar -C $(PACKAGE)-$(VERSION) -xf -
	tar zcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	ls -l $(PACKAGE)-$(VERSION).tar.gz

check-manifest:
	@for d in `find -type d -name CVS`; \
	do \
	b=`dirname $$d`/; \
	awk -F/ '$$1 != "D" {print $$2}' $$d/Entries | \
	sed -e "s|^|$$b|" -e "s|^\./||"; \
	done | sort > .check-manifest; \
	sort MANIFEST > .orig-manifest; \
	diff -u .orig-manifest .check-manifest; \
	rm -f .orig-manifest .check-manifest

# Debian packages.

dpkg:
	@if [ 0 != `cvs -q update | wc -l` ]; then \
	echo Please commit all changes to CVS first.; \
	exit 1; \
	fi
	$(MAKE) dist
	rm -rf /tmp/dbuild
	mkdir /tmp/dbuild
	cp $(PACKAGE)-$(VERSION).tar.gz \
	  /tmp/dbuild/$(PACKAGE)_$(VERSION).orig.tar.gz
	export CVSROOT=`cat CVS/Root`; \
	  cd /tmp/dbuild && \
	  cvs export \
	  -d $(PACKAGE)-$(VERSION) \
	  -D now merjis/test/perl4caml
	cd /tmp/dbuild/$(PACKAGE)-$(VERSION) && dpkg-buildpackage -rfakeroot
	rm -rf /tmp/dbuild/$(PACKAGE)-$(VERSION)
	ls -l /tmp/dbuild

# Documentation.

html:	html/index.html

html/index.html: $(wildcard *.ml) $(wildcard *.mli) $(wildcard wrappers/*.ml)
	rm -rf html
	mkdir html
	-$(OCAMLDOC) $(OCAMLDOCFLAGS) -d html $^

.PHONY: depend dist check-manifest html dpkg
