## perl4caml 0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Interface to Perl from OCaml.
 # Copyright (C) 2003 Merjis Ltd.
-# $Id: Makefile,v 1.28 2004/12/11 15:40:08 rich Exp $
+# $Id: Makefile,v 1.30 2005/01/31 15:23:23 rich Exp $
 
 include Makefile.config
 
@@ -28,6 +28,7 @@
 OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
 
 WRAPPERS := \
+	wrappers/pl_Data_Dumper.cmo \
 	wrappers/pl_Date_Calc.cmo \
 	wrappers/pl_Date_Format.cmo \
 	wrappers/pl_Date_Parse.cmo \
@@ -59,35 +60,39 @@
 perl4caml.cmxa: perl.cmx perl_c.o $(WRAPPERS:.cmo=.cmx)
 	$(OCAMLMKLIB) -o perl4caml $(LIBPERL) $^
 
-all-examples: examples/test examples/loadpage examples/google \
+all-examples: examples/test.bc examples/loadpage.bc examples/google.bc \
 	examples/test.opt examples/loadpage.opt examples/google.opt \
-	examples/parsedate examples/parsedate.opt
-
-examples/test: examples/test.cmo
+	examples/parsedate.bc examples/parsedate.opt
+
+TEST_PROGRAMS := $(patsubst %.ml,%.bc,$(wildcard test/*.ml)) \
+	$(patsubst %.ml,%.opt,$(wildcard test/*.ml))
+
+test: $(TEST_PROGRAMS) run-tests
+
+check: test
+
+run-tests:
+	@fails=0; count=0; \
+	export LD_LIBRARY_PATH=`pwd`:$LD_LIBRARY_PATH; \
+	for prog in $(TEST_PROGRAMS); do \
+	  if ! $$prog; then \
+	    echo Test $$prog failed; \
+	    fails=$$(($$fails+1)); \
+	  fi; \
+	  count=$$(($$count+1)); \
+	done; \
+	if [ $$fails -eq 0 ]; then \
+	  echo All tests succeeded.; \
+	  exit 0; \
+	else \
+	  echo $$fails/$$count tests failed.; \
+	  exit 1; \
+	fi
+
+%.bc: %.cmo
 	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@
 
-examples/test.opt: examples/test.cmx
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
-	$(DYNALOADER_HACK) $^ -o $@
-
-examples/loadpage: examples/loadpage.cmo
-	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@
-
-examples/loadpage.opt: examples/loadpage.cmx
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
-	$(DYNALOADER_HACK) $^ -o $@
-
-examples/google: examples/google.cmo
-	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@
-
-examples/google.opt: examples/google.cmx
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
-	$(DYNALOADER_HACK) $^ -o $@
-
-examples/parsedate: examples/parsedate.cmo
-	$(OCAMLC) $(OCAMLCFLAGS) perl4caml.cma $^ -o $@
-
-examples/parsedate.opt: examples/parsedate.cmx
+%.opt: %.cmx
 	$(OCAMLOPT) $(OCAMLOPTFLAGS) -cclib -L. perl4caml.cmxa \
 	$(DYNALOADER_HACK) $^ -o $@
 
@@ -109,12 +114,14 @@
 
 # Clean.
 
-JUNKFILES = core *~ *.bak *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so *.opt
+JUNKFILES = core *~ *.bak *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so \
+	*.bc *.opt
 
 clean:
-	rm -f META examples/test examples/loadpage examples/google \
-	examples/parsedate
-	for d in . examples wrappers; do (cd $$d; rm -f $(JUNKFILES)); done
+	rm -f META
+	for d in . examples test wrappers; do \
+	  (cd $$d; rm -f $(JUNKFILES)); \
+	done
 
 # Build dependencies.
 
@@ -194,4 +201,4 @@
 	mkdir html
 	-$(OCAMLDOC) $(OCAMLDOCFLAGS) -d html $^
 
-.PHONY: depend dist check-manifest html dpkg
+.PHONY: depend dist check-manifest html dpkg test run-tests
