## perl4caml 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,22 @@
 # Interface to Perl from OCaml.
 # Copyright (C) 2003 Merjis Ltd.
-# $Id: Makefile,v 1.30 2005/01/31 15:23:23 rich Exp $
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this library; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+#
+# $Id: Makefile,v 1.33 2008-03-01 13:02:21 rich Exp $
 
 include Makefile.config
 
@@ -19,7 +35,10 @@
 PERLCFLAGS := $(shell perl -e 'use Config; print $$Config{ccflags};')
 
 CC := gcc
-CFLAGS := -fPIC -Wall -Wno-unused -I$(PERLINCDIR) $(PERLCFLAGS) $(EXTRA_CFLAGS)
+CFLAGS := -fPIC -Wall -Wno-unused \
+	-I$(OCAMLLIBDIR) \
+	-I$(PERLINCDIR) $(PERLCFLAGS) \
+	$(EXTRA_CFLAGS) $(EXTRA_EXTRA_CFLAGS)
 
 LIBPERL := $(shell perl -MExtUtils::Embed -e ldopts)
 
@@ -73,7 +92,7 @@
 
 run-tests:
 	@fails=0; count=0; \
-	export LD_LIBRARY_PATH=`pwd`:$LD_LIBRARY_PATH; \
+	export LD_LIBRARY_PATH=`pwd`:$$LD_LIBRARY_PATH; \
 	for prog in $(TEST_PROGRAMS); do \
 	  if ! $$prog; then \
 	    echo Test $$prog failed; \
