=== debian/changelog ===
perl4caml (0.9.5-8build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 10:34:24 +0200

perl4caml (0.9.5-8build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 19:06:36 +0100

perl4caml (0.9.5-8build2) plucky; urgency=medium

  * No-change rebuild for perl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 21:36:10 +0200

perl4caml (0.9.5-8build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:08:40 +0200

perl4caml (0.9.5-8) unstable; urgency=medium

  [ Niko Tyni ]
  * Fix FTBFS with gcc-14 (Closes: #1075378)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Aug 2024 10:55:34 +0200

perl4caml (0.9.5-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove MIA uploaders (Closes: #873233)
  * Apply multi-arch hints.
    + libperl4caml-ocaml-doc: Add Multi-Arch: foreign.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 08:15:41 +0200

perl4caml (0.9.5-6) unstable; urgency=medium

  * Update Vcs-*
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 15:52:34 +0200

perl4caml (0.9.5-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 13:46:58 +0100

perl4caml (0.9.5-5) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Cherrypick random patch from annexia.org to fix FTBFS with ocaml 4.04.

  [ Stéphane Glondu ]
  * Update Vcs-*
  * Bump debhelper compat to 10
  * Remove .depend (it is regenerated)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 11:27:26 +0200

perl4caml (0.9.5-4) unstable; urgency=low

  * Add 0003-Fix-for-Perl-5.12-SVt_RV-missing.patch (Closes: #578800)
  * Switch source package format to 3.0 (quilt)
  * debian/control:
    - libperl4caml-ocaml-dev: add ocaml-findlib to Recommends
    - bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Jun 2010 14:09:36 +0200

perl4caml (0.9.5-3) unstable; urgency=low

  * Switch patches to quilt
  * Switch packaging to dh-ocaml 0.9 and simplify debian/rules
  * Drop dependency to libnet-google-perl (Closes: #550329)
    - add Disable-libnet-google-perl-wrappers.patch
  * debian/control:
    - update my e-mail address and remove DMUA
    - remove dependencies to perl; keep only libperl-dev
    - move to section ocaml
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Oct 2009 14:11:37 +0200

perl4caml (0.9.5-2) unstable; urgency=low

  * Fix 10_Makefile.dpatch to handle tests on bytecode-only architectures
    (fixes FTBFS)
  * Bump ocaml build-dep to (>= 3.11) to entail proper dep-waits

 -- Stephane Glondu <steph@glondu.net>  Tue, 24 Feb 2009 18:17:21 +0100

perl4caml (0.9.5-1) unstable; urgency=low

  * Acknowledge NMU
  * New Upstream Version
    - remove 11_Makefile.config.dpatch (not relevant anymore)
  * Switch packaging to git, add Vcs-* fields
  * Set Maintainer to d-o-m, add Mike and me to Uploaders, add DMUA
  * Major changes in the packaging:
    - switch to debhelper 7 and use ocamlinit.mk
    - add ${misc:Depends} dependencies (as complained by Lintian)
    - add Homepage field, README.source and watch files
    - switch copyright to machine-parsable format
    - switch doc-base section to Programming/OCaml
    - merge two doc-base Format sections to Get rid of Lintian error
  * Bump Standards-Version to 3.8.0

 -- Stephane Glondu <steph@glondu.net>  Mon, 23 Feb 2009 00:26:44 +0100

perl4caml (0.9.3-8.1) unstable; urgency=low

  * Non-maintainer upload to help perl5.10 transition along
  * debian/patches/11_Makefile.config.dpatch: Added patch from Niko Tyni to
    let perl4caml build against other perl version than 5.8.X. (Closes:
    #466770)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 09 May 2008 11:19:11 +0200

perl4caml (0.9.3-8) unstable; urgency=low

  * Rebuild for 3.10.0

 -- Mike Furr <mfurr@debian.org>  Fri, 07 Sep 2007 17:20:24 -0400

perl4caml (0.9.3-7) unstable; urgency=medium

  * Fixed bad dependency in debian/rules which erroneously did not generate
    the *.files and therefore produced an empty package.  (Closes: 405136)

 -- Mike Furr <mfurr@debian.org>  Mon,  1 Jan 2007 21:37:11 -0500

perl4caml (0.9.3-6) unstable; urgency=low

  * Corrected "libdata-calc-perl" -> "libdate-calc-perl" and moved it from
    a Suggests to a Depends.  Thanks to Jean-Baptiste Rouquier for
    noticing.
  * Upgraded policy to 3.7.2 (no changes needed)
  * Package is now svn-buildpackage compatible
  * Dropped control.in per new OCaml policy

 -- Mike Furr <mfurr@debian.org>  Wed, 13 Sep 2006 16:44:37 -0400

perl4caml (0.9.3-5) unstable; urgency=low

  * Remove hard-coded ABI strings
  * Rebuild with 3.09.1

 -- Mike Furr <mfurr@debian.org>  Sat,  7 Jan 2006 18:22:00 -0500

perl4caml (0.9.3-4) unstable; urgency=low

  * Rebuild with 3.09

 -- Mike Furr <mfurr@debian.org>  Tue,  8 Nov 2005 22:41:42 -0500

perl4caml (0.3.15-2sarge1) testing-proposed-updates; urgency=low

  * Upload to t-p-u since 0.9.3 is now in unstable
  * Build with OCaml-3.08.3 (Closes: #307574)
  * Backported reference counting fixes from 0.9.3
    and some updates to the comments in the code

 -- Mike Furr <mfurr@debian.org>  Mon,  9 May 2005 19:46:14 -0400

perl4caml (0.9.3-3) unstable; urgency=low

  * Missed John's makefile patch, added back with dpatch
  * Makefile now detects absence of ocamlopt
  * Policy => 3.6.1.0
  * lintian suggested typo fixes

 -- Mike Furr <mfurr@debian.org>  Tue,  3 May 2005 22:03:09 -0400

perl4caml (0.9.3-2) unstable; urgency=medium


