=== debian/control ===
Source: perl4caml
Priority: optional
Section: ocaml
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libperl-dev,
 ocaml,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://merjis.com/developers/perl4caml
Vcs-Git: https://salsa.debian.org/ocaml-team/perl4caml.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/perl4caml

Package: libperl4caml-ocaml-dev
Architecture: any
Suggests:
 libperl4caml-ocaml-doc,
 libwww-perl,
 libcrypt-ssleay-perl,
 libtimedate-perl,
 libwww-mechanize-perl
Depends:
 libhtml-tree-perl,
 liburi-perl,
 libtemplate-perl,
 libdate-calc-perl,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Use Perl code in OCaml programs, development files
 perl4caml allows you to use Perl code within Objective CAML (OCaml),
 thus neatly side-stepping the old problem with OCaml which was that it
 lacked a comprehensive set of libraries. Well now you can use any part
 of CPAN in your OCaml code.
 .
 This package provides the tools necessary to use perl4caml in your own
 programs.  To get the documentation, please install libperl4caml-ocaml-doc.

Package: libperl4caml-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Use Perl code in OCaml programs, runtime library
 perl4caml allows you to use Perl code within Objective CAML (OCaml),
 thus neatly side-stepping the old problem with OCaml which was that it
 lacked a comprehensive set of libraries. Well now you can use any part
 of CPAN in your OCaml code.
 .
 This package provides the runtime dynamic library necessary to use this
 in bytecode OCaml programs.

Package: libperl4caml-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Use Perl code in OCaml programs, documentation
 perl4caml allows you to use Perl code within Objective CAML (OCaml),
 thus neatly side-stepping the old problem with OCaml which was that it
 lacked a comprehensive set of libraries. Well now you can use any part
 of CPAN in your OCaml code.
 .
 This package provides developers' documentation and examples about the
 use of perl4caml.
