=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://merjis.com/developers/perl4caml /_file/perl4caml-(.*)\.tar\.gz
